//-----THE DEPARTMENT OF REDUNDANCY DEPARTMENT PRESENTS-----
//-----------------THE REDUNDANT DESIGN PACK!---------------
//-----------------------BY MOFOB---------------------------




newObject(PlayChatMenu, ChatMenu, "Root Menu:");
newObject(CommandChatMenu, ChatMenu, "Command Menu");

function setPlayChatMenu(%heading)
{
   $curPlayChatMenu = %heading;
}

function setCommanderChatMenu(%heading)
{
   $curCommanderChatMenu = %heading;
}

function addPlayTeamChat(%text, %msg, %sound)
{
   if(%sound != "")
   {
      %msg = %msg @ "~w" @ %sound;
   }
   if($curPlayChatMenu != "")
   {
      %text = $curPlayChatMenu @ "\\" @ %text;
   }
   addCMCommand(PlayChatMenu, %text, say, 1, %msg);
}

function addPlayChat(%text, %msg, %sound)
{
   if(%sound != "")
   {
      %msg = %msg @ "~w" @ %sound;
   }
   if($curPlayChatMenu != "")
   {
      %text = $curPlayChatMenu @ "\\" @ %text;
   }
   addCMCommand(PlayChatMenu, %text, say, 0, %msg);
}

function addPlayAnim(%text, %anim, %sound)
{
   if($curPlayChatMenu != "")
   {
      %text = $curPlayChatMenu @ "\\" @ %text;
   }
   addCMCommand(PlayChatMenu, %text, messageAndAnimate, %anim, %sound);
}

function addLocal(%text, %sound)
{
   if($curPlayChatMenu != "")
   {
      %text = $curPlayChatMenu @ "\\" @ %text;
   }
   addCMCommand(PlayChatMenu, %text, localMessage, %sound);
}

function addPlayCMDResponse(%text, %action, %msg, %sound)
{
   if(%sound != "")
      %msg = %msg @ "~w" @ %sound;
   if($curPlayChatMenu != "")
      %text = $curPlayChatMenu @ "\\" @ %text;
   addCMCommand(PlayChatMenu, %text, remoteEval, 2048, "CStatus", %action, %msg);
}

function addCommandResponse(%text, %action, %msg, %sound)
{
   if(%sound != "")
      %msg = %msg @ "~w" @ %sound;
   if($curCommanderChatMenu != "")
      %text = $curCommanderChatMenu @ "\\" @ %text;
   addCMCommand(CommandChatMenu, %text, remoteEval, 2048, "CStatus", %action, %msg);
}


function addContextCommand(%text, %type)
{
   if($curCommanderChatMenu != "")
      %text = $curCommanderChatMenu @ "\\" @ %text;
   addCMCommand(CommandChatMenu, %text, contextCommand, %type);
}

function addCommand(%text, %action, %msg, %sound)
{
   if(%sound != "")
      %msg = %msg @ "~w" @ %sound;
   if($curCommanderChatMenu != "")
      %text = $curCommanderChatMenu @ "\\" @ %text;
   addCMCommand(CommandChatMenu, %text, setIssueCommand, %action, %msg);
}

// Player Chat menu

setPlayChatMenu("vOffense");
		addPlayTeamChat("aAttack!","Attack!", attack);
		addPlayTeamChat("wWait for signal", "Wait for my signal to attack.", waitsig);
		addPlayTeamChat("cCease fire", "Cease fire!", cease);
		addPlayTeamChat("mMove out", "Move out.", moveout);
		addPlayTeamChat("rRetreat", "Retreat!", retreat);
		addPlayTeamChat("hHit deck", "Hit the deck!", hitdeck);
		addPlayTeamChat("eRegroup", "Regroup.", regroup);
		addPlayTeamChat("vCover me", "Cover me!", coverme);
		addPlayTeamChat("gGoing offense", "Going offense.", ono);
		addPlayTeamChat("zAPC ready", "APC ready to go... waiting for passengers.", waitpas);

setPlayChatMenu("tTarget");
		addPlayTeamChat("aTarget acquired", "Target Acquired", tgtacq);
		addPlayTeamChat("fFire on my target", "Fire on my target", firetgt);
		addPlayTeamChat("nTarget needed", "I need a target.", needtgt);
		addPlayTeamChat("oTarget out of range", "Target out of range.", tgtout);
		addPlayTeamChat("dDestroy Enemy Generator", "Destroy the enemy genarator.", desgen);
		addPlayTeamChat("eEnemy Generator Destroyed", "Enemy generator destroyed.", gendes);
		addPlayTeamChat("tDestroy Enemy Turret", "Destroy enemy turret.", destur);
		addPlayTeamChat("sEnemy Turret Destroyed", "Enemy turret destroyed.", turdes);

setPlayChatMenu("dDefense");
		addPlayTeamChat("iIncoming Enemies", "Incoming enemies!", incom2);
		addPlayTeamChat("aAttacked", "We are being attacked.", basatt);
		addPlayTeamChat("eEnemy is attacking base", "The enemy is attacking our base.", basundr);
		addPlayTeamChat("nNeed more defense", "We need more defense.", needdef);
		addPlayTeamChat("bDefend our base", "Defend our base.", defbase);
		addPlayTeamChat("dDefending base", "Defending our base.", defend);
		addPlayTeamChat("tBase Taken", "Base is taken.", basetkn);
		addPlayTeamChat("cBase Clear", "Base is secured.", bsclr2);
		addPlayTeamChat("qIs Base Clear?", "Is our base clear?", isbsclr);

setPlayChatMenu("fFlag");
		addPlayTeamChat("gFlag gone", "Our flag is not in the base!", flgtkn1);
		addPlayTeamChat("eEnemy has flag", "The enemy has our flag!", flgtkm2);
		addPlayTeamChat("hHave enemy flag", "I have the enemy flag...secure our flag, and clear the way!", haveflg);
		addPlayTeamChat("sFlag secure", "Our flag is secure.", flaghm);
		addPlayTeamChat("rReturn our flag", "The enemy has our flag...GET IT BACK!.", retflag);
		addPlayTeamChat("fGet enemy flag", "Get the enemy flag.", geteflg);
		addPlayTeamChat("mFlag mined", "Our flag is mined.", flgmine);
		addPlayTeamChat("cClear mines", "Clear the mines from our flag.", clrflg);
		addPlayTeamChat("dMines cleared", "Mines have been cleared.", mineclr);

setPlayChatMenu("rNeed");
		addPlayTeamChat("rNeed Repairs", "Need repairs.", needrep);
		addPlayTeamChat("aNeed APC Pickup", "I need an APC pickup.", needpku);
		addPlayTeamChat("eNeed Escort", "I need an escort back to base.", needesc);
		addPlayTeamChat("tNeed Ammo", "Can anyone bring me some ammo?", needamo);

setPlayChatMenu("eTeam");
		addPlayTeamChat("wWatch Shooting", "Watch where your shooting!", wshoot3);
		addPlayTeamChat("dDont know", "I don't know.", dontkno);
		addPlayTeamChat("nNo", "No.", no);
		addPlayTeamChat("yYes", "Yes.", yes);
		addPlayTeamChat("tThanks", "Thanks.", thanks);
		addPlayTeamChat("aNo Problem", "No Problem.", problemo);
		addPlayTeamChat("sSorry", "Sorry.", sorry);
		addPlayTeamChat("hHurry station", "Hurry up with that station!", hurystn);

setPlayChatMenu("gGlobal");
		addPlayChat("zDoh", "Doh!", oops1);
		addPlayChat("oOops", "Oops!", oops2);
		addPlayChat("sShazbot", "Shazbot!", color2);
		addPlayChat("qDamnit", "Damnit!", color6);
		addPlayChat("cCrap", "Ah Crap!", color7);
		addPlayChat("eDuh", "Duh.", dsgst1);
		addPlayChat("xYou Idiot", "You Idiot!", dsgst2);

setPlayChatMenu("aAnimations");
		addPlayAnim("oOver here", 0, ovrhere);
		addPlayAnim("dMove out of way", 1, outway);
		addPlayAnim("rRetreat", 2, retreat);
		addPlayAnim("sStop", 3, dsgst4);
		addPlayAnim("fSalute", 4, yes);
		addPlayAnim("zKneel Pose", 10);
		addPlayAnim("xStand Pose", 11);
		addPlayAnim("qCelebrate 1 - Yeah", 5, cheer1);
		addPlayAnim("eCelebrate 2 - whoohoo", 6, cheer2);
		addPlayAnim("wCelebrate 3 - Allright", 7, cheer3);
		addPlayAnim("vTaunt 1 - how'd that feel?", 8, taunt10);
		addPlayAnim("gTaunt 2 - Come get some", 9, taunt4);
		addPlayChat("yTaunt 3 - Yoooohoo!", "Yoohoo!", taunt1);
		addPlaychat("mTaunt 4 - Missed me!", "Missed me!", taunt2);
		addPlayChat("jTaunt 5 - Dance", "Shoots a gun at the feet...the world dances.", taunt3);
		addPlayChat("iTaunt 6 - I've had worse", "I've had worse", tautn11);
		addPlayAnim("hWave - Hi", 12, hello);
		addPlayAnim("bWave - Bye", 12, bye);


setPlayChatMenu("zCommand Response");
	addPlayCMDResponse("aAcknowledged", 1, "Command acknowledged", "acknow");
	addPlayCMDResponse("zCompleted", 0, "Objective complete", "objcomp");
	addPlayCMDResponse("uUnable to complete", 0, "Unable to complete objective", "objxcmp");


setPlayChatMenu("uBarney & V.O.X.-TEAM");
		addPlayTeamchat("aAmbush", "I smell an ambush...we better be careful.", ambush);
		addPlayTeamChat("rReport security", "Attention, report any security violation.", attention);
		addPlayTeamChat("bBad feeling", "I have a ba-ad feeling about this!", badfeeling);
		addPlayTeamChat("wBreach warning", "WARNING, unauthorized chemical and biological breach detected", breechd);
		addPlayTeamChat("sWhat did i do2u!", "HEY!  What did I ever do to you?", dotoyou);
		addPlayTeamChat("dWatch it with that!", "Watch it with that thing!", watchit);
		addPlayTeamChat("eEliminate all renegades", "ELIMINATE all renegade soldiers.", eliminate);
		addPlayTeamChat("mMedical help required", "Got men down...someone bring a repair pack.", medhelp);
		addPlayTeamChat("t'TK' Warning", "Your a step away from a boot call.", pissme);
		addPlayTeamChat("pPower failure", "Our gens are down!", power);
                addPlayTeamChat("oGet the objective", "Get the objective.", proceed1);	
		addPlayTeamChat("fSniper alert!", "Watch out for enemy snipers!", sniped);
		addPlayTeamChat("gEnemies in our base", "We got enemies in our base!", warningb);
		addPlayTeamChat("qYou talk too much", "SHUT UP!  You talk too much.", tlk2much);


setPlayChatMenu("jHuman Grunt-TEAM");
		addPlayTeamchat("bBogies my sector", "Bogies my sector!.", bogiessec);
		addPlayTeamChat("cRetreat", "Cutting our losses and pulling out.", retreathg);
		addPlayTeamChat("qNeed more defense", "We NEED more DEFENSE!", nedmore);
		addPlayTeamChat("eEcho mission is go", "Echo mission is go...lets get the flag.", echo);
		addPlayTeamChat("hWe got hostiles!", "OH SHIT!  We got HOSTILES!", gothostiles);
		addPlayTeamChat("gGot heavy fire", "We got heavy fire here!", heavyfire);
		addPlayTeamChat("omaintain objective", "We have to hold the objective!", maintainobj);
		addPlayTeamChat("mMovement check", "<Movement check> Are we all clear?", movementchck);
		addPlayTeamChat("nNo signs hostiles", "No signs hostiles...clear here.", nosigns);
		addPlayTeamChat("tTango sweep", "Tango sweep formation...attacking the enemy base!", tagoswep);
            addPlayTeamChat("rTake cover", "TAKE COVER!.", takecvr);	
		addPlayTeamChat("wBogies North", "Bogies to the north!", north);
		addPlayTeamChat("sBogies South", "Bogies to the south!", south);
		addPlayTeamChat("aBogies East", "Bogies to the east!", east);
		addPlayTeamChat("dBogies West", "Bogies to the west!", west);






setPlayChatMenu("iBarney & V.O.X.");
		addPlaychat("aAren't scared?", "You aren't scared, are ya?", aintscared);
		addPlayChat("qIll get your ass", "I'll get your ass", getass);
		addPlayChat("bBring it on!", "Bring it on!", bring);
		addPlayChat("dDie bloodsucker", "DIE!  You bloodsucker!", dieblood);
		addPlayChat("hDont make me!", "Dont make me have to hurt you!", dontmake);
		addPlayChat("fI will f you up", "I'm gonna f*ck you up!", fuup);
		addPlayChat("bIm over here/now die", "HEY!  I'm over here...now eat-lead you outerspace octopus!", octo1);
		addPlayChat("eEat this, bastard", "HEY!  Eat this you bastard!", octo4);
		addPlayChat("wDont scream", "Please dont scream after I kill you.", pleaseds);
                addPlayChat("qSomething died", "EWW!  Something died down here.", thingdied);	
		addPlayChat("jWhat is that smell", "Whoa, you stink...maybe you should try an easier game.", thingstinky);
		addPlayChat("sStench", "Really...you should stick to Minesweeper!", stench);
		addPlayChat("iI only take so much", "I only take so much, and no more.", somuch);
		addPlayChat("oStep off", "Hey step off buddy.", stepoff);
		addPlayChat("cYou'll wish", "HEH,  Your'e gonna wish you hadn't done that.", uwish);
		addPlayChat("nYour an idiot", "You are an idiot.", voxidiot);


setPlayChatMenu("kHuman Grunt");
		addPlaychat("hHAHAHAHA", "hahahahaha", augh);
		addPlayChat("bBASTARD!", "BASTARD!", bastard);
		addPlayChat("qYou're gonna pay!", "Oh yeah, you're gonna pay...you will DEFINATLY PAY!", chat5a);
		addPlayChat("wWho ordered this?", "Who ordered this operation anyways?", civvies);
		addPlayChat("yYou're going down", "Mister, You are going down!", goingdown);
		addPlayChat("gGot him", "I got you mofo!", gotem);
		addPlayChat("cOur orders are...", "Our orders are to kick ass!", kickass);
		addPlayChat("fIs that all you got", "Is that all you got!", pain1);
		addPlayChat("eYou got nothin!", "You got nothin!", pain2);
            addPlayChat("aMedic!", "AWWW....MEDIC!", pain5);	
		addPlayChat("sSuck on this", "Suck on this.", smc);
		addPlayChat("tThis sucks", "I took out twelve dumbass scientists, and not one of em fought back...this sucks!", sucks);






setPlayChatMenu("pG-Man");
		addPlaychat("tTime to choose", "It's time to choose", choose1);
		addPlayChat("eTime to choose2!", "It's time to choose", choose2);
		addPlayChat("qNasty peice o'work", "Quiet a nasty peice of work you managed over there.  I am impressed.", nasty);
		addPlayChat("rNo regrets", "No regrets Mr. Freeman.", noreg);
		addPlayChat("wWont work", "Well, it looks like we wont be working together", nowork);
		addPlayChat("bOffer you a battle", "I can offer you a battle you have no chance of winning...rather an anti-climax...", otherwise);
		addPlayChat("fPotential", "...they agree with me...you have limitless potential", potential);
		addPlayChat("sStep in the portal", "...just step into the portal and I will take that as a yes.", stepin);
		addPlayChat("aWisely done", "Wisely done Mr. Freeman!  I will see you up ahead.", wise);



setPlayChatMenu("mMatrix");
		addPlaychat("aAllready dead", "No...your men are allready dead.", adead);
		addPlayChat("wWelcome to the...", "Welcome to the desert of the real.", desert);
		addPlayChat("dDodge this!", "Dodge this!", dodgethis);
		addPlayChat("hHit me if you can", "Hit me...if you can", duel);
		addPlayChat("gGet up", "get up!", getup);
		addPlayChat("uGuns", "Guns...lots of guns.", guns);
		addPlayChat("cHIT ME!", "COME ON!  Stop trying to hit me, and HIT ME!", hitme);
		addPlayChat("bBuckle your seatbelt", "Buckle your seatbelt, 'cause Kansas is goin bye bye!", kansas);
		addPlayChat("fKung fu", "I know Kung fu.", kungfu);
                addPlayChat("qNeurokenetics", "Jesus Christ he's fast, look at these neurokenetics, they're way above normal.", neuro);	
		addPlayChat("yhe's gonna pop!", "He's gonna pop!", pop);
		addPlayChat("sSearch and Destroy", "...search and destroy", snd);
		addPlayChat("iHear that Mr.A", "Hear that Mr. Anderson?  That is the sound of inevitability...it's the sound of your death.", sound);
		addPlayChat("nThey're watching you", "They're watching you Neo.", watching);
		addPlayChat("oOh Sh!t", "Oh sh!t...", ohyes);
            addPlayChat("mWhoa!", "Whoa!", whoa);
		addPlayChat("zDisease", "Human beings are a disease...you are a cancer of this planet, and we are the cure..", cancer);
		addPlayChat("jBlue pill", "Why oh why didn't I take the blue pill.", bluepill);




setPlayChatMenu("nSniper");
		addPlayChat("qPro assassination", "Professional assassination...It's the highest form of public service.", ass);
		addPlayChat("aAim for the head", "Aim for the head, if you can find it.", aimforhead);
		addPlayChat("vone less horror", "That's one less horror in the world.", buttugly);
		addPlayChat("eEnd o'the line", "End of the line for you.", endline);
		addPlayChat("tTrophey room", "That'll look nice in my trophey room.", firepl);
		addPlayChat("rTarget range", "Yep, all that target range time is gonna pay off today.", targetpractice);
		addPlayChat("fTombstone", "What do you want on your tombstone?", tomb);
		addPlayChat("gGot another one", "Ha ha...got another one!", another);




setPlayChatMenu("xCypress Hill 1");
		addPlaychat("tTwenty-two", "OOOO, Where'd that 22 come from? when the bullet passed through my lung.", 22);
		addPlayChat("aAint goin' out", "We aint goin' out like that, we aint goin' out.", aintgoin);
		addPlayChat("qA to the K!", "Look peep...you herd it on the radio, you seen it on the TV show...A to the motherf*kin Z!", athk);
		addPlayChat("cCheck me/check ya back", "<Time for some action> Check me and I'll check ya back!", check);
		addPlayChat("gGlock go click", "Cock the hammer...wave the white banner.  Ever heard a glock go click like a camera?", click);
		addPlayChat("wClick clak", "Click clak goes the gun, make em run boy, make em run boy, make em run", clickclack);
		addPlayChat("qCock the hammer", "Cock the hammer it's time for action!", cth);
		addPlayChat("eWatch your ass", "Watch dat ass cuz punk I'll brand it, with the steel toe how ya fell tho, when my boot stuck in that ass like a dildo!", dildo);
		addPlayChat("rLet the gat hum!", "Let the gat hummm!", gathum);
            addPlayChat("vWhat go around", "What go around come around kid!  What go around come around.", goaround);	

	

setPlayChatMenu("cCypress Hill 2");
		addPlaychat("qHuff-and-puff", "I'll huff and puff and blow your head off!", headoff);
		addPlayChat("wHollow-point", "My hollow-points hard to swallow.", hollowpoint);
		addPlayChat("eLook away!", "Your gat looks rusted--disgusted.  Oh look awa-ay...look away boy as I'm rushin!", lookaway);
		addPlayChat("hHear me growl", "Hear me growl <RRRAAH HOWL!> I got the night vision like the wise old owl.", owl);
		addPlayChat("rBetta-be-ready", "When the sh!t goes down, ya betta be ready!", shitgoes);
		addPlayChat("tI feel numb", "BAAM...I feel numb...Where did the shotgun blast come from?", shotgun);
		addPlayChat("fHere the slug comes", "One little, two little, three hoodlums.  Better hit the ground cuz here the slug comes.", slug);
		addPlayChat("cComin out tha slums", "Comin out tha slums!", slums);
		addPlayChat("gGolden rule", "Hit'cha with the golden rule...dont turn your back on the street!", street);
            addPlayChat("yYosemite Sam", "Comin out blastin like Yosemite Sam.", yosimity);

setPlayChatMenu("qKorn");
		addPlaychat("cClown", "Clown you aint sh!t, turn around get your face split!", clown);
		addPlayChat("bCowardly man", "Scared to be honest, be yourself.  A cowardly man.", cowardly);
		addPlayChat("gGoing blind", "I can see I'm going blind!", goinblind);
		addPlayChat("mMarch", "<MARCH>", march);
		addPlayChat("rR U ready", "Are you ready?!", ruready);
		addPlayChat("wWannabe", "You're just a wannabe", wannabe);



setPlayChatMenu("yExtras 1");
                addPlayChat("eEbola", "I hope you get ebola and DIE!", ebola);
                addPlayChat("fFatwacker", "Dont wear that fat...whack it!  With fatwhacker.", wacker);
                addPlayChat("wWhere'd I go?", "I was just here...Where did I go?", igo);
                addPlayChat("aMmmmwwwhaa", "Mmmmmwwwhhaaa!", mwa);
                addPlayChat("sSneaky bastige", "You fargin sneaky bastige!", bstge);
                addPlayChat("cCorksucker", "You miserable corksucker!", corkskr);
                addPlayChat("dDIE!", "DIE! DIE! DIE! DIE!", die);
                addPlayChat("gI've fallen", "I've fallen! and I cant get up!", fallen);
                addPlayChat("hDuke Fartknocker", "Look who's here young people.  Its not other than Duke Fartknocker!", frtknck);
                addPlayChat("rMedievil", "I'm gonna get medievil on your ass!", medie);
                addPlayChat("yShaft", "Shut your mouth!...I'm talkin about Shaft.", misc02);
                addPlayChat("qCobra Charge", "Lets go! cobRAAA!", cobra);
		    addPlayChat("bCobra lala", "Cobralalalalalalala!", cobrala);
                addPlayChat("xDeath toll", "The death toll is catostrophic.", deathtoll);
                addPlayChat("jJarJar's demise", "You will meet an untimly end; hopfully like Jar Jar", diejar);
		addPlayChat("tPick on me", "God dammit man!  I swear...you guys pick on me 13 or 14 more times...Im outta here.", outtahere);



setPlayChatMenu("hExtras 2");
		addPlaychat("iLagfest", "DAMN *&%*ING, PIECE OF *%*@ DIAL-UP CONNECTING LAG-INDUCING *&%$-SUCKING BUTT-*&%*ING LAGFEST!!!", lagfest);
		addPlayChat("cPRE-FLAG CAP", "FIVE, FOUR, THREE, TWO, ONE!", goon04);
		addPlayChat("dIDIOT!", "You are an idiot!", idiot);
		addPlayChat("jI was joking", "What's the matter w/ you people I was joking...dont you know a joke when you hear one!?!", joking);
		addPlayChat("qNo soup for you!", "No soup for you!", nosoup);
		addPlayChat("sOne small step", "One small step for man...", obs03);
		addPlayChat("qKnow your role", "Know your role, and shut your mouth!", role);
		addPlayChat("uWe suck", "Damn we suck!", simp33);
		addPlayChat("wWhoops!", "Whoops!", woops);
                addPlayChat("vT-Rex (Jesse Ventura)", "Bunch of slack-jawed faggots 'round here, this stuff will make you a god-damned sexual T-rex.", trex);	
		addPlayChat("hHelp!", "Help!", ballzitch);
		addPlayChat("tHemmingway", "Earnest Hemmingway once wrote 'The world is a fine place, and worth fighting for' I agree w/ the second part.", ew);
		addPlayChat("nFlame thrower", "If I were the man I was five years ago, I'd take a flame thrower to this place!", flamethrwer);
		addPlayChat("1Hoohaa", "Hoohaa!", hoohaa);
		addPlayChat("2Neener neener", "Neener neener neener!", neener);
		addPlayChat("3Welly-well", "Welly-welly-welly-welly-well.", well2);
		addPlayChat("4Googly Moogly", "Great googly moogly!", googly);




setPlayChatMenu("bExtras 3");
		addPlaychat("iLagfest2", "DAMN (*@%ING, PIECE OF $&!^ DIAL-UP CONNECTING LAG-INDUCING *&%$-SUCKING BUTT-*&%*ING LAGFEST!!!", lagfest2);
		addPlayChat("sAOL SUX!", "America online, it's knowledge, it's power...IT SUCKS!", aolsux);
		addPlayChat("aAtaquataquaticism", "Well, I'm off to astonish the world with more feats of ataquataquaticism.", ada);
		addPlayChat("bBaboon", "You move like a baboon...with two club feet!", baboon);
		addPlayChat("qButtocks", "I have itchy red welts on my buttocks!", butt);
		addPlayChat("cGet outta my chair", "ARRR! Get out of my chair!", chair);
		addPlayChat("fFreakzilla", "Isn't your sisters E-Mail address freakzilla@scopenet.com", dotcom);
		addPlayChat("uUltra voilent", "This would sharpen you up and make you ready for a bit of the old ultra violence.", uv2);
                addPlayChat("hPower's off", "Forget it hoser.  The power's turned off.", poff);	
		addPlayChat("wWhoo-pish!", "Whoo-pish", pre);
		addPlayChat("yWhats your problem", "What is your problem?", prob);
		addPlayChat("dLet's rock!", "LETS ROCK!", letsrock);
		addPlayChat("vStrange Brew", "coo Coo Coo Coo coo Coo COO COO!.", sb);
		addPlayChat("xSweet b!tches", "yep yep yep...all my sweet b!tches hard at work.", swbi);
		addPlayChat("tPowerful Toys", "This is what happens when demented people play with powerful toys.", toys);
		addPlayChat("yWindows sux 2", "DAMN WINDOWS SUCKS!", winsux);

setPlayChatMenu("lExtras 4");
		addPlaychat("bBetter get it up", "You better get it up! or Im gonna half to kill ya", getitup);
		addPlayChat("cCommunications", "A communications disruption could only mean one thing...", invasion);
		addPlayChat("dDispose of them", "Nemesis Enforcer...Dispose of them.", nedispose);
		addPlayChat("aAbyss of oblivion", "Nemesis Enforcer, throw this worthless sewage into the abyss of oblivion!", neoblivion);
		addPlayChat("tTake him away", "Nemesis Enforcer, Take him away.", netake);
		addPlayChat("rReal men can go", "The real men can go in...the cowards can stay out here!", realmen);
		addPlayChat("qAt last, revenge", "AT last we will have revenge.", revenge);
		addPlayChat("wBe silent!", "Be silent!  or be silenced.", silence);
                addPlayChat("nNot very sporting", "Not very sporting to fire on an unarmed opponent.", sporting);	
		addPlayChat("eDuke says die!", "Die you son of a b!tch", dukedie1);
		addPlayChat("yDuke says yippie", "Yippie kie a mother f*cker", dukeyip);
		addPlayChat("jBegin landing your troops", "Begin landing your troops.", troops);
		addPlayChat("vVertebra", "The last thing you will hear is the cracking of your vertebra...one by one!", vertabra);
		addPlayChat("hWipe them out", "Wipe them out...all of them.", wipe);


setPlayChatMenu("1Mr Blonde");
		addPlayChat("oAlive or dead", "Either he's alive or he's dead, or the cops got'em...or they dont.", alive);
		addPlayChat("aAlone", "Alone at last.", alone);
		addPlayChat("nNobody", "Nobody is goin' anywhere", anywhere);
		addPlayChat("qAsshole.", "He's a f*ckin ashhole.", asshole);
		addPlayChat("dLittle doggie!", "are you gonna bark all day little doggie, or are ya gonna bite.", bark);
		addPlayChat("bButt Cowboy.", "If I were a butt cowboy, I wouldnt even throw you to the posse.", buttcwby);
		addPlayChat("yyou'll like it.", "I'm sure you'll like it, come on.", comeon);
		addPlayChat("eExciting.!", "WOW! hahaha...That's very exciting", exciting);
		addPlayChat("fFollow me", "I've got something outside that I'd like to show you guys, so follow me.", followme);
		addPlayChat("rThey deserved it", "Ah f*ck'em...they set off the alarm, they deserve what they get", fukem);
		addPlayChat("qHe's a F*cker", "OH He's a f*cker.", fuker);
		addPlayChat("wTourture you", "I dont really give a good f*ck what you know, but I'm gonna tourture you anyways.", givafuk);
		addPlayChat("gGood idea", "Tourture you.  That's a good, that's a good idea, I like that one.", goodidea);
		addPlayChat("iHeard it all", "You can say all you want, cause I've heard it all before.", heardit);


setPlayChatMenu("2Mr Blonde 2");
		addPlayChat("hHeart attack.", "My heart's beatin so fast I'm about to have a heart attack.", heart);
		addPlayChat("qK-Billies", "Ever listen to K-Billies super sounds of the seventies?.", kbillies);
		addPlayChat("aLets talk.", "OK...Lets talk", letstalk);
		addPlayChat("cNobody tells me.", "I dont have a boss, nobody tells me what to do.", noboss);
		addPlayChat("ePrey for a quick death.", "All you can do is prey for a quick death...which, you aint gonna get.", quick);
		addPlayChat("rRedzone.", "Guess what.  I think I'm parked in the redzone.", redzone);
		addPlayChat("sSlap ya.", "Keep talkin like a bitch, and I'm gonna slap ya like a bitch.", slapya);
		addPlayChat("tshouldn't play so rough.", "You kids shouldn't play so rough...somebody's gonna start cryin.", sorough);
		addPlayChat("wDont take another step.", "Dont take another step Mr. White.", step);
		addPlayChat("gStill be alive.", "If they hadn't of done what I told em not to do, they's still be alive.", stllalve);
		

setPlayChatMenu("3Mr White");
		addPlayChat("kKill crazy", "That's your excuse for going on a kill-crazy rampage?", alarms);
		addPlayChat("tTakin his ass out", "I came this close to taking his ass out myself", assout);
		addPlayChat("bBackoff.", "If I have to tell you again to backoff, me and you gonna go round and round.", backoff);
		addPlayChat("hBag on our hip", "We need you acting freaky like we need a bag on our hip.", hipbag);
		addPlayChat("fFrench fries.", "What...did you forget the french fries to got with your soda.", ffries);
		addPlayChat("eHardyf*ckinHar!", "Why didnt you say so? <Cuz you never asked me.> Well hardy f*cking har", har);
		addPlayChat("yHow did you get out", "How did you get out?", howdidu);
		addPlayChat("jJacksh!t", "While that might not mean jacksh!t to you, it sure means a helluva lot to me.", jackshit);
		addPlayChat("mMy fault", "We had just gotten away from the cops, he got shot, it was my fault he got shot.", justshot);
		addPlayChat("wlike a pro", "What your supposed to do is act like a f*cking professional.", pro);
		addPlayChat("qPiss on this turd", "Piss on this f*cking turd!  Were outta here.", pissturd);
		addPlayChat("yYour da rat", "For all I know YOUR the f*cking rat!", rat);
		addPlayChat("rR U Cool.", "Whats done is done.  I need you cool. R U COOL? Allright I am cool.", rucool);
		addPlayChat("dSo f-in bad", "<Man this is so f*cking bad, is it bad?> What, as opposed to good?", thisbad);
		addPlayChat("aApologize", "Shiat!  You shoot me in a dream, you better wake up and apologize.", wakup); 



setPlayChatMenu("4Mr Pink");
		addPlayChat("fFigure out who...", "Let's try and figure out who the bad guy is allright.", badguy);
		addPlayChat("bBad looks", "Your buddy got stuck in a situation that you created, so if you want to throw bad looks, throw em at a mirror!", badlooks);
		addPlayChat("uBook up", "OK, first things first, stayin here's goofy...we gotta book up.", bookup);
		addPlayChat("cCloser two me", "If they get him, they can get you...If they get tou, they get closer to me, and that cant happen!", clsr2me);
		addPlayChat("sCommode", "Where's the commode in this dungeon...I gotta take a squirt.", com);
		addPlayChat("hHeads examined", "Stayin here, we should have our f*ckin heads examined.", exam);
		addPlayChat("vLucky", "I'm very sad about that, but some fellas are lucky, and some aint.", fellas);
		addPlayChat("yFirst year", "Your acting like a first year f*cking thief...I'm acting like a professional.", frst);
		addPlayChat("uUsin your head", "Allright! Now your usin your f*ckin head.", head);
		addPlayChat("rRed hot poker", "Someone's sticking a red hot poker up our asses, and I want to know who's name is on the handle.", poker);
		addPlayChat("pMr Pussy", "Mr. Pink sounds like Mr. Pussy.", pussy);
		addPlayChat("tSet up", "Was that a f*cking set up or what!", setup);
		addPlayChat("oStaked out", "Hey F*ck you man, you weren't there, we were, and I'm tellin you the cops had that store staked out!", staked);
		addPlayChat("wWanna trade", "OK if it's no big deal to be Mr. Pink wanna trade?", wanat);
		addPlayChat("aYour gettin outta my way", "If I gotta get out of that door and your standin in my way...one way or the other your gettin outta my way.", way);

		 



setPlayChatMenu("5Mr Oarnge");
		addPlayChat("bBeretta?", "Your not gonna get hurt...your a f*ckin beretta, they belive every f*ckin word cuz your super cool", beretta);
		addPlayChat("fF*CK YOU!", "F*ck you, F*CK YOU! Im f*ckin dyin here, IM F*CKIN DYIN!", fucku);
		addPlayChat("dHey...dude!", "Hey Freddie...<EEEEEHHHH>...Hey...Dude", dude);
		addPlayChat("qLost boys?!", "<Whens the next time your gettin some?>...Motherf*cker!...I'm trying to watch the Lost Boys, ya know.", boys);
		addPlayChat("aThe thing", "The Thing...motherf*cker looks just like the Thing.", thing);
		addPlayChat("vNerves", "Every nerve ending, all my senses, blood in my veins, everythin I have is screamin, take off man! Just bail! Just get the f*ck out of there", nerves);
		addPlayChat("rRent a tape", "I couldn't even rent a tape without six f*cking phone calls interrupting me", tape);
		addPlayChat("tNo joke", "No joke...I'm in there, I'm up his ass.", nojoke);



setPlayChatMenu("6Nice Guy Eddie");
		addPlayChat("sSam's hot car lot", "First we gotta get rid of those cars outside, It looks like Sam's hot car lot out there.", carlot);
		addPlayChat("cChicago fire", "If you beat this prick long enough, he'll tell you he started the Chicago fire, now that dont make it so.", fire);
		addPlayChat("fFirst things last", "ALLRIGHT!  First things f*ckin last.", first);
		addPlayChat("hHandstand", "How would you feel if everytime you had to take a piss, you had to do a handstand", stand);
		addPlayChat("tThats what I'm talking about", "I know motherf*cker...I herad it, that's what I'm talking about", iknow);
		addPlayChat("rMr. Compassion.", "Allright, Mr. f*cking compassion!  I will call someone..", mrcom);
		addPlayChat("ePrime rib", "You know 4 years f*ckin punks up the ass, you appreciate a piece of prime rib when you see it.", rib);
		addPlayChat("bSick bastard", "You sick bastard Vic, you tried to f*ck me in my fathers office.", usick);
		addPlayChat("aYou think I did it.", "You think I did it?  You think I set you up!", uthink);
		addPlayChat("yYou idiot", "You f*cking idiot!  You turn a jewlery store into a wild west shootout and wonder why the f*cking cops show up!", uidiot);
		addPlayChat("qExcuse me!", "Excuse me Mr. Pink but the last f*cking thing you need is another cup of coffee.", xcus);
		
		
	
setPlayChatMenu("7Joe Cabot");
		addPlayChat("qMatter of business", "Right now it's a matter of business.", biz);
		addPlayChat("gLets go to work", "Let's go to work.", gowork);
		addPlayChat("hHighway.", "There's two ways you can go on this job, my way or the highway.", myway);
		addPlayChat("eJP Morgan", "You do what everyone else does, I dont care if your JP Morgan or Irvig the tailor, you ride it out.", morgan);
		addPlayChat("rRamblers", "Allright ramblers, let's get ramblin", ramblers);
		addPlayChat("sSh!t your pants", "You know how to handle that situation...you sh!t your pants, dive in and swim", shitpant);
		addPlayChat("wShoot this piece...", "I changed my mind...shoot this piece of sh!t, willya.", shothis);
		

setPlayChatMenu("8Other Reservoir Dogs");
		addPlayChat("aASSHOLE!", "ASSHOLE! I am gonna f*cking blow you away right now...put your hands on the dash!.", asshol);
		addPlayChat("bBUDDY!", "BUDDY!  I'm gonna shoot you in the face!  If you dont put your hands on the f*ckin dash!", buddy);
		addPlayChat("rNames", "Here are your names...", names);
		addPlayChat("qYour under arrest.", "Your under arrest sugar!.", sugar);





// Commander Menu

function contextIssueCommand(%action, %msg, %sound)
{
   if(%sound != "")
      %msg = %msg @ "~w" @ %sound;
   setIssueCommand(%action, %msg);
}

// $CommandTarget can be one of:

// waypoint
// enemy vehicle
// enemy player
// enemy static
// enemy turret
// enemy sensor
// friendly vehicle
// friendly player
// friendly static
// friendly turret
// friendly sensor


function Commander::StarCommand(%type)
{
   if(%type == "*Attack")
   {
      if($CommandTarget == "enemy static")
			contextIssueCommand(1, "Destroy enemy equipment at waypoint", "attobj"); 
      else if($CommandTarget == "enemy turret")
			contextIssueCommand(1, "Destroy enemy turret at waypoint", "attobj"); 
      else if($CommandTarget == "enemy sensor")
			contextIssueCommand(1, "Destroy enemy sensor at waypoint", "attobj"); 
      else if($CommandTarget == "enemy player" || $CommandTarget == "enemy vehicle")
         contextIssueCommand(1, "Attack enemy " @ $CommandTargetName, "attway");
      else if($CommandTarget == "friendly player")
         contextIssueCommand(1, "Cover " @ $CommandTargetName, "escfr");
      else if($CommandTarget == "friendly vehicle")
         contextIssueCommand(1, "Board APC ", "boarda");
      else
         contextIssueCommand(1, "Attack enemy forces", "attway");
   }
   else if(%type == "*Defend")
   {
		if($CommandTarget == "friendly player")
		   contextIssueCommand(2, "Defend " @ $CommandTargetName, "escfr"); 
		else
		   contextIssueCommand(2, "Defend waypoint", "defway");
   }
   else if(%type == "*Repair")
   {
		if($CommandTarget == "friendly player")
		   contextIssueCommand(2, "Repair " @ $CommandTargetName, "repplyr"); 
		else
		   contextIssueCommand(2, "Repair " @ $CommandTargetName, "repobj");
   }
}

setCommanderChatMenu("");

   addCommand("aAttack", 1, "*Attack");
   addCommand("dDefend", 2, "*Defend");
   addCommand("rRepair", 3, "*Repair");

   setCommanderChatMenu("eDeploy");
		setCommanderChatMenu("eDeploy\\sSensor");
			addCommand("pPulse sensor", 2, "Deploy pulse sensor at waypoint", "deppuls");
			addCommand("jJammer", 2, "Deploy sensor jammer at waypoint", "depjamr");
			addCommand("mMotion sensor", 2, "Deploy motion sensor at waypoint", "depmot");
			addCommand("cCamera", 2, "Deploy camera at waypoint", "depcam");
		setCommanderChatMenu("eDeploy\\aObject");
			addCommand("aAmmo", 2, "Deploy Ammo Station", "depamo");
			addCommand("iInventory", 2, "Deploy Inventory Station", "depinv");
			addCommand("tTurret", 2, "Deploy Turret", "deptur");
			addCommand("bBeacon", 2, "Deploy beacon at waypoint", "depbecn");
		setCommanderChatMenu("eDeploy");
		addCommand("vA.P.C.", 2, "Pilot APC to waypoint", "pilot");

setCommanderChatMenu("kCommand Response");
	addCommandResponse("aAcknwledged", 1, "Command acknowledged", "acknow");
	addCommandResponse("cCompleted", 0, "Objective complete", "objcomp");
	addCommandResponse("uUnable to complete", 0, "Unable to complete objective", "objxcmp");


//THANKS TO THE CREATORS OF THE D6 PACK, I USED THEIR .CS FILE/////////////
//THANKS TO THE CREATORS OF THE RA PACK, I USED SOME WAVS FROM THEIR PACK//
//THANKS TO STEVE'S RESERVOIR DOGS SOUND PAGE//////////////////////////////
//http://www.gis.net/~pyite/index.html/////////////////////////////////////
//THANKS TO http://welcome.to/the.matrix//FOR THE GREAT MATRIX WAVS////////
